%% Vykreslení sil při zatáčení
clear all;clc;close all;
%% Načtení souřadnic působišť
load sily.mat

%% Vytvoříme z nich vektory
u = smer-pusobiste;

% komory na padáku
chamber = 1:54;

v = 51/3.6; % m/s
% odhady
vo = 2.5;
% dopočty
gama = asin(vo/v);
vd = v*cos(gama);

% gravitační síla
Fg = 80*9.80556;
F = 0;M = 0;

% brzdy
LB = 0;
RB = 0;

% rozpočteme mezi všechny komory
for i = 1:length(chamber)

    gama = -10;
    [D L] = perpRot(u(i,:), -gama, utlum(i)*PG_cd(i)*v^2, utlum(i)*PG_cl(i)*v^2);
    
    % spočtem moment
    M = M + cross(u(i,:),D+L);
    
    % suma sil     
    F = F + (D+L);
    
    plot3([pusobiste(i,1) pusobiste(i,1)+u(i,1)],...
          [pusobiste(i,2) pusobiste(i,2)+u(i,2)],...
          [pusobiste(i,3) pusobiste(i,3)+u(i,3)],...
          [pusobiste(i,1) pusobiste(i,1)+D(1)],...
          [pusobiste(i,2) pusobiste(i,2)+D(2)],...
          [pusobiste(i,3) pusobiste(i,3)+D(3)],...
          [pusobiste(i,1) pusobiste(i,1)+L(1)],...
          [pusobiste(i,2) pusobiste(i,2)+L(2)],...
          [pusobiste(i,3) pusobiste(i,3)+L(3)]);
    grid;
    hold on;
    
%     plot3([pusobiste(i,1) pusobiste(i,1)+u(i,1)],...
%           [pusobiste(i,2) pusobiste(i,2)+u(i,2)],...
%           [pusobiste(i,3) pusobiste(i,3)+u(i,3)]);
%     grid;
%     hold on;

end;


% F = F + [0 0 -Fg];
% M = M + cross([0 0 0]',[0 0 -Fg]);
% M = M/30;
% F = F/30;
% % silová výslednice
% plot3([0 F(1)],[0 F(2)],[0 F(3)],'-bd','LineWidth',4);
% hold on;
% % vykreslení momentů
% plot3([0 M(1)],[0 0],[0 0],'-md','LineWidth',2);
% hold on;
% plot3([0 0],[0 M(2)],[0 0],'-md','LineWidth',2);
% hold on;
% plot3([0 0],[0 0],[0 M(3)],'-md','LineWidth',2);
% hold on;

grid;
axis equal;